Bug 1007212 - No response after click the "Register now" button in pop-up window when the rhsm-gui is appearing.
No response after click the "Register now" button in pop-up window when the r...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 7.0
Assigned To: candlepin-bugs
John Sefler
:
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-09-12 02:28 EDT by xingge
Modified: 2016-09-19 22:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-17 11:39:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
After click the "Register now" button when rhsm-gui not launched. (72.64 KB, image/png)
2013-09-12 03:04 EDT, xingge
no flags Details

  None (edit)
Description xingge 2013-09-12 02:28:04 EDT
Description of problem:
No response after click the "Register now" button in pop-up window when the rhsm-gui is appearing.

Version-Release number of selected component (if applicable):
subscription-manager-gui-1.8.20-1.el5
subscription-manager-firstboot-1.8.20-1.el5
subscription-manager-1.8.20-1.el5
python-rhsm-1.8.16-1.el5

How reproducible:
subscription-manager-gui-1.8.22-1.el5
subscription-manager-firstboot-1.8.22-1.el5
subscription-manager-1.8.22-1.el5
python-rhsm-1.8.17-1.el5

Steps to Reproduce:
1.Make sure the system is not registered.

2.open the subscrition-manager-gui
#subscription-manager-gui

3.A pop-up window appears to remind you haven't registered, click the "Register now" button.

Actual results:
Nothing happens.

Expected results:
The register dialog window should show.

Additional info:
When the subscription-manager-gui is close, click the "Register now" button the subscription-manager-gui
will open and the register dialog window opens too. please see the attachment.
Comment 1 xingge 2013-09-12 03:04:53 EDT
Created attachment 796649 [details]
After click the "Register now" button when rhsm-gui not launched.
Comment 2 RHEL Product and Program Management 2013-09-15 03:24:15 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Carter Kozak 2014-01-17 11:39:59 EST
When you click the register now button, it brings the running subscription-manager-gui to the forefront of the screen.  I realize you're asking for the register dialog to appear, but I think the current behavior is equally acceptable given that the gui is already open.  We don't want to modify it in case a user is in the middle of another operation.

If the gui is not open, comment 1 is observed as designed.

Note You need to log in before you can comment on or make changes to this bug.